removePasskey
POST
/api/v1/me/security/passkeys/{id}/remove
const url = 'https://example.com/api/v1/me/security/passkeys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/remove';const options = { method: 'POST', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/me/security/passkeys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/remove \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "password": "example" }'Requires the account password in the body.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
password
required
The account password, reverified so a borrowed session cannot weaken sign-in security on its own.
string
Examplegenerated
{ "password": "example"}Responses
Section titled “ Responses ”Passkey removed
The password was not correct
Policy requires a remaining factor